Index: app/Http/Requests/Auth/CreatePasswordRequest.php
===================================================================
--- app/Http/Requests/Auth/CreatePasswordRequest.php	(revision 7304c7f4e9d471fa8974c193daec4fdd86dabe58)
+++ app/Http/Requests/Auth/CreatePasswordRequest.php	(revision 7304c7f4e9d471fa8974c193daec4fdd86dabe58)
@@ -0,0 +1,40 @@
+<?php
+
+namespace App\Http\Requests\Auth;
+
+use Illuminate\Foundation\Http\FormRequest;
+use Illuminate\Validation\Rule;
+
+class CreatePasswordRequest extends FormRequest
+{
+    /**
+     * Determine if the user is authorized to make this request.
+     *
+     * @return bool
+     */
+    public function authorize()
+    {
+        return true;
+    }
+
+    /**
+     * Get the validation rules that apply to the request.
+     *
+     * @return array
+     */
+    public function rules()
+    {
+        $that = $this;
+
+        return [
+            "password" => "required|string|confirmed|min:8",
+            "security_code" => [
+                "required",
+                "integer",
+                Rule::exists("users")->where(function ($query) use ($that) {
+                    $query->where("id", $that->route("id"));
+                }),
+            ]
+        ];
+    }
+}
Index: app/Http/Requests/Auth/ForgotPasswordRequest.php
===================================================================
--- app/Http/Requests/Auth/ForgotPasswordRequest.php	(revision 7304c7f4e9d471fa8974c193daec4fdd86dabe58)
+++ app/Http/Requests/Auth/ForgotPasswordRequest.php	(revision 7304c7f4e9d471fa8974c193daec4fdd86dabe58)
@@ -0,0 +1,30 @@
+<?php
+
+namespace App\Http\Requests\Auth;
+
+use Illuminate\Foundation\Http\FormRequest;
+
+class ForgotPasswordRequest extends FormRequest
+{
+    /**
+     * Determine if the user is authorized to make this request.
+     *
+     * @return bool
+     */
+    public function authorize()
+    {
+        return true;
+    }
+
+    /**
+     * Get the validation rules that apply to the request.
+     *
+     * @return array
+     */
+    public function rules()
+    {
+        return [
+            "email" => "required|email|exists:users"
+        ];
+    }
+}
Index: app/Http/Requests/Auth/LoginRequest.php
===================================================================
--- app/Http/Requests/Auth/LoginRequest.php	(revision 7304c7f4e9d471fa8974c193daec4fdd86dabe58)
+++ app/Http/Requests/Auth/LoginRequest.php	(revision 7304c7f4e9d471fa8974c193daec4fdd86dabe58)
@@ -0,0 +1,30 @@
+<?php
+
+namespace App\Http\Requests\Auth;
+
+use Illuminate\Foundation\Http\FormRequest;
+
+class LoginRequest extends FormRequest
+{
+    /**
+     * Determine if the user is authorized to make this request.
+     *
+     * @return bool
+     */
+    public function authorize()
+    {
+        return true;
+    }
+
+    /**
+     * Get the validation rules that apply to the request.
+     *
+     * @return array
+     */
+    public function rules()
+    {
+        return [
+            "username" => "required|exists:users,username"
+        ];
+    }
+}
Index: app/Http/Requests/Auth/VerifyNewEmailRequest.php
===================================================================
--- app/Http/Requests/Auth/VerifyNewEmailRequest.php	(revision 7304c7f4e9d471fa8974c193daec4fdd86dabe58)
+++ app/Http/Requests/Auth/VerifyNewEmailRequest.php	(revision 7304c7f4e9d471fa8974c193daec4fdd86dabe58)
@@ -0,0 +1,39 @@
+<?php
+
+namespace App\Http\Requests\Auth;
+
+use Illuminate\Foundation\Http\FormRequest;
+use Illuminate\Validation\Rule;
+
+class VerifyNewEmailRequest extends FormRequest
+{
+    /**
+     * Determine if the user is authorized to make this request.
+     *
+     * @return bool
+     */
+    public function authorize()
+    {
+        return true;
+    }
+
+    /**
+     * Get the validation rules that apply to the request.
+     *
+     * @return array
+     */
+    public function rules()
+    {
+        $that = $this;
+
+        return [
+            "security_code" => [
+                "required",
+                "integer",
+                Rule::exists("users")->where(function ($query) use ($that) {
+                    $query->where("id", $that->route("id"));
+                }),
+            ]
+        ];
+    }
+}
